#include <bits/stdc++.h>
using namespace std;
int t;
long long n,m,k;
int main(){
    cin>>t;
    for(int i=1;i<=t;i++){
        cin>>n>>m>>k;
    if(m-((n*(n+1))/2)>=0)
        cout<<"Tak"<<endl;
    else
        cout<<"Nie"<<endl;}

        return 0;
}